Package org.apache.datasketches.hive.kll

## Class SketchToStringUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.kll.SketchToStringUDF

    public class SketchToStringUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`SketchToStringUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Returns a summary of a given sketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SketchToStringUDF

    public SketchToStringUDF()

### Method Detail

#### evaluate

    public String evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Returns a summary of a given sketch

Parameters:
  `serializedSketch` - serialized sketch
Returns:
  text summary